Skip to main content
GET
/
api
/
engagements
/
card
/
onboarding
/
{onboarding-id}
Get onboarding
curl --request GET \
  --url https://partner-card.test.public.rockerapi.dev/api/engagements/card/onboarding/{onboarding-id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "cb07dde2-8e5f-44fc-af6e-c07ac5be1798",
  "status": "AWAITING_SIGNING",
  "additionalInformation": {
    "signingUrl": "https://example.com/sign"
  },
  "cardType": "CREDIT",
  "applicant": {
    "nationality": "DE",
    "salutation": "HERR",
    "firstName": "Hans",
    "lastName": "Müller",
    "phone": "+491701234567",
    "email": "hans.mueller@example.com",
    "dateOfBirth": "1985-07-15",
    "placeOfBirth": "Berlin",
    "address": {
      "streetLine1": "Hauptstraße 10",
      "city": "Berlin",
      "postalCode": "10115",
      "country": "DE"
    },
    "employmentType": "PERMANENT",
    "civilStatus": "MARRIED",
    "monthlyIncome": {
      "currency": "EUR",
      "amount": 350000,
      "unit": "MINOR"
    },
    "housing": "OWNER",
    "locale": "de"
  },
  "createdAt": "2026-03-11T19:17:02.938181922Z",
  "updatedAt": "2026-03-11T20:17:02.938201972Z",
  "onboardingType": "INDIVIDUAL"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

onboarding-id
string<uuid>
required

Response

id
string<uuid>
required
status
enum<string>
required
Available options:
PROCESSING,
AWAITING_DOCUMENTS,
AWAITING_SIGNING,
AWAITING_ADDITIONAL_INFO,
AWAITING_DOCUMENT_REVIEW,
AWAITING_CARD_CREATION,
COMPLETED,
REJECTED,
FAILED
cardType
enum<string>
required
Available options:
CREDIT,
DEBIT,
PREPAID
applicant
HttpApplicantResponse · object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
onboardingType
string
required
Allowed value: "INDIVIDUAL"
additionalInformation
CompletedOnboardingInformation · object
customerId
string<uuid>
metadata
Metadata · object

Key-value map. You can use metadata to store additional, structured information on an object. Max key length: 48 chars. Keys must not start with a digit. Max value length: 256 chars.